summaryrefslogtreecommitdiff
path: root/dev-ruby
diff options
context:
space:
mode:
Diffstat (limited to 'dev-ruby')
-rw-r--r--dev-ruby/activesupport/activesupport-6.0.6.1-r2.ebuild76
-rw-r--r--dev-ruby/activesupport/activesupport-6.1.7.3-r2.ebuild79
-rw-r--r--dev-ruby/activesupport/activesupport-7.0.4.3-r2.ebuild78
-rw-r--r--dev-ruby/deep_merge/deep_merge-1.2.2.ebuild2
-rw-r--r--dev-ruby/dependor/dependor-1.0.1-r1.ebuild4
-rw-r--r--dev-ruby/descendants_tracker/descendants_tracker-0.0.4-r1.ebuild4
-rw-r--r--dev-ruby/equalizer/equalizer-0.0.11-r2.ebuild27
-rw-r--r--dev-ruby/hashicorp-checkpoint/hashicorp-checkpoint-0.1.5-r1.ebuild31
-rw-r--r--dev-ruby/histogram/histogram-0.2.4.1-r1.ebuild25
-rw-r--r--dev-ruby/i18n/Manifest1
-rw-r--r--dev-ruby/i18n/i18n-1.13.0.ebuild62
-rw-r--r--dev-ruby/maildir/maildir-2.2.3.ebuild31
-rw-r--r--dev-ruby/middleware/middleware-0.1.0-r1.ebuild23
-rw-r--r--dev-ruby/naught/naught-1.1.0-r1.ebuild4
-rw-r--r--dev-ruby/puppetdb-termini/Manifest1
-rw-r--r--dev-ruby/puppetdb-termini/puppetdb-termini-8.0.0.ebuild28
-rw-r--r--dev-ruby/rbs/Manifest1
-rw-r--r--dev-ruby/rbs/rbs-1.5.1.ebuild36
-rw-r--r--dev-ruby/rbtree/Manifest1
-rw-r--r--dev-ruby/rbtree/rbtree-0.4.5.ebuild21
-rw-r--r--dev-ruby/recog/recog-2.3.23.ebuild2
-rw-r--r--dev-ruby/ruby-ole/ruby-ole-1.2.12.2-r1.ebuild4
-rw-r--r--dev-ruby/sawyer/Manifest1
-rw-r--r--dev-ruby/sawyer/sawyer-0.9.1.ebuild29
-rw-r--r--dev-ruby/settingslogic/settingslogic-2.0.9-r2.ebuild4
-rw-r--r--dev-ruby/sparklines/files/sparklines-0.5.2-rmagick4-deprecation.patch20
-rw-r--r--dev-ruby/sprockets/Manifest2
-rw-r--r--dev-ruby/sprockets/sprockets-3.7.2-r2.ebuild63
-rw-r--r--dev-ruby/sprockets/sprockets-4.0.2.ebuild66
-rw-r--r--dev-ruby/sprockets/sprockets-4.1.0.ebuild67
-rw-r--r--dev-ruby/web-console/web-console-4.2.0.ebuild4
31 files changed, 434 insertions, 363 deletions
diff --git a/dev-ruby/activesupport/activesupport-6.0.6.1-r2.ebuild b/dev-ruby/activesupport/activesupport-6.0.6.1-r2.ebuild
new file mode 100644
index 000000000000..1d733a0a5147
--- /dev/null
+++ b/dev-ruby/activesupport/activesupport-6.0.6.1-r2.ebuild
@@ -0,0 +1,76 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+USE_RUBY="ruby27 ruby30"
+
+RUBY_FAKEGEM_TASK_TEST="MT_NO_PLUGINS=true"
+
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.rdoc"
+
+RUBY_FAKEGEM_GEMSPEC="activesupport.gemspec"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+inherit ruby-fakegem
+
+DESCRIPTION="Utility Classes and Extension to the Standard Library"
+HOMEPAGE="https://github.com/rails/rails"
+SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz -> rails-${PV}.tgz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1-2)"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~sparc ~x86"
+IUSE=""
+
+RUBY_S="rails-${PV}/${PN}"
+
+ruby_add_rdepend "
+ >=dev-ruby/concurrent-ruby-1.0.2:1
+ dev-ruby/i18n:1
+ >=dev-ruby/minitest-5.1
+ >=dev-ruby/tzinfo-1.1:1
+ >=dev-ruby/zeitwerk-2.2:2
+"
+
+# memcache-client, nokogiri, builder, and redis are not strictly needed,
+# but there are tests using this code.
+ruby_add_bdepend "test? (
+ >=dev-ruby/dalli-2.2.1
+ >=dev-ruby/nokogiri-1.4.5
+ >=dev-ruby/builder-3.1.0
+ >=dev-ruby/listen-3.0.5:3
+ dev-ruby/rack
+ dev-ruby/mocha
+ <dev-ruby/minitest-5.16:*
+ )"
+
+all_ruby_prepare() {
+ # Set the secure permissions that tests expect.
+ chmod 0755 "${HOME}" || die "Failed to fix permissions on home"
+
+ # Remove items from the common Gemfile that we don't need for this
+ # test run. This also requires handling some gemspecs.
+ sed -i -e "/\(system_timer\|sdoc\|w3c_validators\|pg\|execjs\|jquery-rails\|mysql\|journey\|ruby-prof\|stackprof\|benchmark-ips\|kindlerb\|turbolinks\|coffee-rails\|debugger\|sprockets-rails\|redcarpet\|bcrypt\|uglifier\|minitest\|sprockets\|stackprof\|rack-cache\|redis\|sqlite\)/ s:^:#:" \
+ -e '/:job/,/end/ s:^:#:' \
+ -e '/group :doc/,/^end/ s:^:#:' \
+ -e 's/gemspec/gemspec path: "activesupport"/' \
+ -e '5igem "builder"; gem "rack"' ../Gemfile || die
+ rm ../Gemfile.lock || die
+ sed -i -e '1igem "tzinfo", "~> 1.1"; gem "psych", "~> 3.0"' test/abstract_unit.rb || die
+
+ # Avoid test that depends on timezone
+ sed -i -e '/test_implicit_coercion/,/^ end/ s:^:#:' test/core_ext/duration_test.rb || die
+
+ # Avoid tests that seem to trigger race conditions.
+ rm -f test/evented_file_update_checker_test.rb || die
+
+ # Avoid test that generates filename that is too long
+ sed -i -e '/test_filename_max_size/askip "gentoo"' test/cache/stores/file_store_test.rb || die
+
+ # Avoid tests requiring a live redis running
+ rm -f test/cache/stores/redis_cache_store_test.rb || die
+ sed -i -e '/cache_stores:redis/ s:^:#:' Rakefile || die
+ sed -i -e '/test_redis_cache_store/askip "lacking keywords"' test/cache/cache_store_setting_test.rb || die
+}
diff --git a/dev-ruby/activesupport/activesupport-6.1.7.3-r2.ebuild b/dev-ruby/activesupport/activesupport-6.1.7.3-r2.ebuild
new file mode 100644
index 000000000000..63697e571763
--- /dev/null
+++ b/dev-ruby/activesupport/activesupport-6.1.7.3-r2.ebuild
@@ -0,0 +1,79 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby27 ruby30 ruby31 ruby32"
+
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.rdoc"
+
+RUBY_FAKEGEM_GEMSPEC="activesupport.gemspec"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+inherit ruby-fakegem
+
+DESCRIPTION="Utility Classes and Extension to the Standard Library"
+HOMEPAGE="https://github.com/rails/rails"
+SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz -> rails-${PV}.tgz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1-2)"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE=""
+
+RUBY_S="rails-${PV}/${PN}"
+
+ruby_add_rdepend "
+ >=dev-ruby/concurrent-ruby-1.0.2:1
+ >=dev-ruby/i18n-1.6:1
+ >=dev-ruby/minitest-5.1
+ dev-ruby/tzinfo:2
+ >=dev-ruby/zeitwerk-2.3:2
+"
+
+# memcache-client, nokogiri, builder, and redis are not strictly needed,
+# but there are tests using this code.
+ruby_add_bdepend "test? (
+ >=dev-ruby/dalli-3.0.1
+ dev-ruby/connection_pool
+ >=dev-ruby/nokogiri-1.8.1
+ >=dev-ruby/builder-3.1.0
+ >=dev-ruby/listen-3.3:3
+ dev-ruby/rack
+ dev-ruby/rexml
+ dev-ruby/mocha
+ <dev-ruby/minitest-5.16:*
+ )"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-6.1.7.3-ruby-thread-noise.patch
+)
+
+all_ruby_prepare() {
+ # Set the secure permissions that tests expect.
+ chmod 0755 "${HOME}" || die "Failed to fix permissions on home"
+
+ # Remove items from the common Gemfile that we don't need for this
+ # test run. This also requires handling some gemspecs.
+ sed -i -e "/\(system_timer\|pg\|execjs\|jquery-rails\|mysql\|journey\|ruby-prof\|stackprof\|benchmark-ips\|turbolinks\|coffee-rails\|debugger\|sprockets-rails\|bcrypt\|uglifier\|minitest\|sprockets\|stackprof\|rack-cache\|sqlite\|websocket-client-simple\|\libxml-ruby\|bootsnap\|aws-sdk\|webmock\|capybara\|sass-rails\|selenium-webdriver\|webpacker\|webrick\|rack-test\)/ s:^:#:" \
+ -e '/group :\(doc\|rubocop\|job\|cable\|storage\|ujs\|test\) do/,/^end/ s:^:#:' \
+ -e 's/gemspec/gemspec path: "activesupport"/' \
+ -e '5igem "builder"; gem "rack"' ../Gemfile || die
+ rm ../Gemfile.lock || die
+# sed -i -e '1igem "tzinfo", "~> 1.1"' test/abstract_unit.rb || die
+
+ # Avoid test that depends on timezone
+ sed -i -e '/test_implicit_coercion/,/^ end/ s:^:#:' test/core_ext/duration_test.rb || die
+
+ # Avoid tests that seem to trigger race conditions.
+ rm -f test/evented_file_update_checker_test.rb || die
+
+ # Avoid test that generates filename that is too long
+ sed -i -e '/test_filename_max_size/askip "gentoo"' test/cache/stores/file_store_test.rb || die
+
+ # Avoid tests requiring a live redis running
+ rm -f test/cache/stores/redis_cache_store_test.rb || die
+ sed -i -e '/cache_stores:redis/ s:^:#:' Rakefile || die
+ sed -i -e '/test_redis_cache_store/askip "lacking keywords"' test/cache/cache_store_setting_test.rb || die
+}
diff --git a/dev-ruby/activesupport/activesupport-7.0.4.3-r2.ebuild b/dev-ruby/activesupport/activesupport-7.0.4.3-r2.ebuild
new file mode 100644
index 000000000000..268187519b61
--- /dev/null
+++ b/dev-ruby/activesupport/activesupport-7.0.4.3-r2.ebuild
@@ -0,0 +1,78 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby27 ruby30 ruby31 ruby32"
+
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.rdoc"
+
+RUBY_FAKEGEM_GEMSPEC="activesupport.gemspec"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+inherit ruby-fakegem
+
+DESCRIPTION="Utility Classes and Extension to the Standard Library"
+HOMEPAGE="https://github.com/rails/rails"
+SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz -> rails-${PV}.tgz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1-2)"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE=""
+
+RUBY_S="rails-${PV}/${PN}"
+
+ruby_add_rdepend "
+ >=dev-ruby/concurrent-ruby-1.0.2:1
+ >=dev-ruby/i18n-1.6:1
+ dev-ruby/tzinfo:2
+ >=dev-ruby/minitest-5.1
+"
+
+# memcache-client, nokogiri, builder, and redis are not strictly needed,
+# but there are tests using this code.
+ruby_add_bdepend "test? (
+ >=dev-ruby/dalli-3.0.1
+ dev-ruby/connection_pool
+ >=dev-ruby/nokogiri-1.8.1
+ >=dev-ruby/builder-3.1.0
+ >=dev-ruby/listen-3.3:3
+ dev-ruby/rack
+ dev-ruby/rexml
+ dev-ruby/mocha
+ <dev-ruby/minitest-5.16:*
+ )"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-7.0.4.3-ruby32.patch
+)
+
+all_ruby_prepare() {
+ # Set the secure permissions that tests expect.
+ chmod 0755 "${HOME}" || die "Failed to fix permissions on home"
+
+ # Remove items from the common Gemfile that we don't need for this
+ # test run. This also requires handling some gemspecs.
+ sed -i -e "/\(system_timer\|pg\|execjs\|jquery-rails\|mysql\|journey\|ruby-prof\|stackprof\|benchmark-ips\|turbolinks\|coffee-rails\|debugger\|sprockets-rails\|bcrypt\|uglifier\|minitest\|sprockets\|stackprof\|rack-cache\|sqlite\|websocket-client-simple\|\libxml-ruby\|bootsnap\|aws-sdk\|webmock\|capybara\|sass-rails\|selenium-webdriver\|webpacker\|webrick\|propshaft\|rack-test\|terser\)/ s:^:#:" \
+ -e '/stimulus-rails/,/tailwindcss-rails/ s:^:#:' \
+ -e '/group :\(doc\|rubocop\|job\|cable\|storage\|ujs\|test\|view\) do/,/^end/ s:^:#:' \
+ -e 's/gemspec/gemspec path: "activesupport"/' \
+ -e '5igem "builder"; gem "rack"' ../Gemfile || die
+ rm ../Gemfile.lock || die
+
+ # Avoid test that depends on timezone
+ sed -i -e '/test_implicit_coercion/,/^ end/ s:^:#:' test/core_ext/duration_test.rb || die
+
+ # Avoid tests that seem to trigger race conditions.
+ rm -f test/evented_file_update_checker_test.rb || die
+
+ # Avoid test that generates filename that is too long
+ sed -i -e '/test_filename_max_size/askip "gentoo"' test/cache/stores/file_store_test.rb || die
+
+ # Avoid tests requiring a live redis running
+ rm -f test/cache/stores/redis_cache_store_test.rb || die
+ sed -i -e '/cache_stores:redis/ s:^:#:' Rakefile || die
+ sed -i -e '/test_redis_cache_store/askip "lacking keywords"' test/cache/cache_store_setting_test.rb || die
+}
diff --git a/dev-ruby/deep_merge/deep_merge-1.2.2.ebuild b/dev-ruby/deep_merge/deep_merge-1.2.2.ebuild
index e22a79b74d7d..5a36ecde6e7e 100644
--- a/dev-ruby/deep_merge/deep_merge-1.2.2.ebuild
+++ b/dev-ruby/deep_merge/deep_merge-1.2.2.ebuild
@@ -3,7 +3,7 @@
EAPI=8
-USE_RUBY="ruby26 ruby27 ruby30 ruby31"
+USE_RUBY="ruby27 ruby30 ruby31 ruby32"
RUBY_FAKEGEM_TASK_DOC=""
RUBY_FAKEGEM_EXTRADOC="CHANGELOG README.md"
diff --git a/dev-ruby/dependor/dependor-1.0.1-r1.ebuild b/dev-ruby/dependor/dependor-1.0.1-r1.ebuild
index 2fc78ef81b5f..a357d2d83d0a 100644
--- a/dev-ruby/dependor/dependor-1.0.1-r1.ebuild
+++ b/dev-ruby/dependor/dependor-1.0.1-r1.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2022 Gentoo Authors
+# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
-USE_RUBY="ruby26 ruby27 ruby30 ruby31"
+USE_RUBY="ruby27 ruby30 ruby31 ruby32"
RUBY_FAKEGEM_RECIPE_TEST="rspec3"
diff --git a/dev-ruby/descendants_tracker/descendants_tracker-0.0.4-r1.ebuild b/dev-ruby/descendants_tracker/descendants_tracker-0.0.4-r1.ebuild
index 57def8104230..46f3b3233e02 100644
--- a/dev-ruby/descendants_tracker/descendants_tracker-0.0.4-r1.ebuild
+++ b/dev-ruby/descendants_tracker/descendants_tracker-0.0.4-r1.ebuild
@@ -1,8 +1,8 @@
-# Copyright 1999-2022 Gentoo Authors
+# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
-USE_RUBY="ruby26 ruby27 ruby30 ruby31"
+USE_RUBY="ruby27 ruby30 ruby31 ruby32"
RUBY_FAKEGEM_RECIPE_TEST="rspec3"
RUBY_FAKEGEM_EXTRADOC="README.md"
diff --git a/dev-ruby/equalizer/equalizer-0.0.11-r2.ebuild b/dev-ruby/equalizer/equalizer-0.0.11-r2.ebuild
new file mode 100644
index 000000000000..bf2f6202e98b
--- /dev/null
+++ b/dev-ruby/equalizer/equalizer-0.0.11-r2.ebuild
@@ -0,0 +1,27 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby30 ruby31 ruby32"
+
+RUBY_FAKEGEM_EXTRADOC="CONTRIBUTING.md README.md"
+RUBY_FAKEGEM_TASK_DOC=""
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Module to define equality, equivalence and inspection methods"
+HOMEPAGE="https://github.com/dkubb/equalizer"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+all_ruby_prepare() {
+ sed -i -e "/devtools/d" spec/spec_helper.rb || die
+
+ # Avoid a failing spec caused by memoizable 0.4.2, and we ignore it
+ # there as well.
+ rm spec/unit/equalizer/included_spec.rb || die
+}
diff --git a/dev-ruby/hashicorp-checkpoint/hashicorp-checkpoint-0.1.5-r1.ebuild b/dev-ruby/hashicorp-checkpoint/hashicorp-checkpoint-0.1.5-r1.ebuild
deleted file mode 100644
index f4f184d7e2a4..000000000000
--- a/dev-ruby/hashicorp-checkpoint/hashicorp-checkpoint-0.1.5-r1.ebuild
+++ /dev/null
@@ -1,31 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-USE_RUBY="ruby25 ruby26 ruby27 ruby30"
-
-RUBY_FAKEGEM_EXTRADOC="README.md"
-RUBY_FAKEGEM_RECIPE_TEST="rspec3"
-
-inherit ruby-fakegem
-
-DESCRIPTION="Internal HashiCorp service to check version information"
-HOMEPAGE="https://www.hashicorp.com"
-
-LICENSE="MPL-2.0"
-SLOT="0"
-KEYWORDS="~amd64 ~arm64 ~x86"
-IUSE="test"
-
-# Tests require network
-RESTRICT="test"
-
-ruby_add_bdepend "
- test? ( dev-ruby/rspec-its )
-"
-
-all_ruby_prepare() {
- # remove bundler support
- sed -i '/[Bb]undler/d' Rakefile || die
-}
diff --git a/dev-ruby/histogram/histogram-0.2.4.1-r1.ebuild b/dev-ruby/histogram/histogram-0.2.4.1-r1.ebuild
new file mode 100644
index 000000000000..b36c73cbd6ec
--- /dev/null
+++ b/dev-ruby/histogram/histogram-0.2.4.1-r1.ebuild
@@ -0,0 +1,25 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby30 ruby31 ruby32"
+
+RUBY_FAKEGEM_EXTRADOC="README.md"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Gives objects the ability to 'histogram' in several useful ways"
+HOMEPAGE="https://github.com/jtprince/histogram"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+ruby_add_bdepend "test? ( dev-ruby/narray )"
+
+all_ruby_prepare() {
+ sed -i -e '/simplecov/I s:^:#:' spec/spec_helper.rb || die
+}
diff --git a/dev-ruby/i18n/Manifest b/dev-ruby/i18n/Manifest
index 99edd75f330f..e24de9f5cca8 100644
--- a/dev-ruby/i18n/Manifest
+++ b/dev-ruby/i18n/Manifest
@@ -1 +1,2 @@
DIST i18n-1.12.0.tar.gz 72883 BLAKE2B 6818e5bdea156e9b6f7b33e319e5b5a5c3c9e7a799b56ded87ab2e27efa4effe730e23a8736b7374b8072c7ba4237a92619aeaad3a16c0bfe10fe73bf9c588d6 SHA512 616db5b15febc7a8716ceafef6c51a24e2d050f8e27e389ef96d94cdc95f9704942079d1e6b502666a015a99deee169342482c9a808164700401c47f96da8f0d
+DIST i18n-1.13.0.tar.gz 74591 BLAKE2B e8b2a624c6ea02f030eacbbdf1ca9722d23785e51f31f5dd4a640f8ab74dfafc99131773619a5e2af724c7bcdbc0e63989b1552c148137bf15cf436f340c3c96 SHA512 4c2dc75ccb09ace90a5845f4c1325f0cb144c69b06b72a35728674deea5d869ed94fa5b18cf6b56d434cbad7e528150dedbb10ed91a6d15b7e05758117cf427e
diff --git a/dev-ruby/i18n/i18n-1.13.0.ebuild b/dev-ruby/i18n/i18n-1.13.0.ebuild
new file mode 100644
index 000000000000..adaed616d7e2
--- /dev/null
+++ b/dev-ruby/i18n/i18n-1.13.0.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby30 ruby31 ruby32"
+
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Add Internationalization support to your Ruby application"
+HOMEPAGE="http://rails-i18n.org/"
+SRC_URI="https://github.com/ruby-i18n/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1)"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE=""
+
+ruby_add_rdepend "dev-ruby/concurrent-ruby:1"
+
+# We need mocha:1.0 which corresponds to the Gemfiles used in each_ruby_test
+ruby_add_bdepend "test? (
+ >=dev-ruby/activesupport-5.1
+ dev-ruby/bundler
+ >=dev-ruby/minitest-5.14:5
+ >=dev-ruby/mocha-1.7.0:1.0
+ dev-ruby/test_declarative )"
+
+all_ruby_prepare() {
+ rm -f gemfiles/*.lock || die
+
+ # Remove optional unpackaged oj gem
+ sed -i -e '/oj/ s:^:#:' gemfiles/* || die
+
+ # Update old test dependencies
+ sed -i -e '/rake/ s/~>/>=/' -e 's/1.7.0/1.7/' -e '3igem "json"' gemfiles/* || die
+}
+
+each_ruby_test() {
+ case ${RUBY} in
+ *ruby32)
+ versions="6.1 7.0"
+ ;;
+ *ruby31)
+ versions="6.1 7.0"
+ ;;
+ *ruby30)
+ versions="6.0 6.1 7.0"
+ ;;
+ esac
+
+ for version in ${versions} ; do
+ if has_version "dev-ruby/activesupport:${version}" ; then
+ einfo "Running tests with activesupport ${version}"
+ BUNDLE_GEMFILE="${S}/gemfiles/Gemfile.rails-${version}.x" ${RUBY} -S bundle exec ${RUBY} -S rake test || die
+ fi
+ done
+}
diff --git a/dev-ruby/maildir/maildir-2.2.3.ebuild b/dev-ruby/maildir/maildir-2.2.3.ebuild
deleted file mode 100644
index 70359bdf5d60..000000000000
--- a/dev-ruby/maildir/maildir-2.2.3.ebuild
+++ /dev/null
@@ -1,31 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-USE_RUBY="ruby25 ruby26 ruby27 ruby30"
-
-RUBY_FAKEGEM_EXTRAINSTALL="README.rdoc"
-
-RUBY_FAKEGEM_BINWRAP=""
-
-inherit ruby-fakegem
-
-DESCRIPTION="A library for reading and writing arbitrary messages in DJB's maildir format"
-HOMEPAGE="https://github.com/ktheory/maildir"
-LICENSE="MIT"
-
-KEYWORDS="~amd64"
-SLOT="2"
-IUSE="test"
-
-ruby_add_bdepend "
- test? ( >=dev-ruby/fakefs-0.3.2 dev-ruby/mail dev-ruby/shoulda-context dev-ruby/test-unit:2 )"
-
-all_ruby_prepare() {
- sed -i -e '/bundler/ s:^:#:' Rakefile test/helper.rb || die
- sed -i -e 's/shoulda/shoulda-context/' test/helper.rb || die
-
- # Avoid tests that appear to need activesupport for .blank? support
- sed -i -e '/add and remove flags/,/^ end/ s:^:#:' test/test_message.rb || die
- sed -i -e '/be removed from flag list/,/^ end/ s:^:#:' test/test_maildir.rb || die
-}
diff --git a/dev-ruby/middleware/middleware-0.1.0-r1.ebuild b/dev-ruby/middleware/middleware-0.1.0-r1.ebuild
new file mode 100644
index 000000000000..ea626f675492
--- /dev/null
+++ b/dev-ruby/middleware/middleware-0.1.0-r1.ebuild
@@ -0,0 +1,23 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby30 ruby31 ruby32"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md user_guide.md"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Generalized implementation of the middleware abstraction for Ruby"
+HOMEPAGE="https://github.com/mitchellh/middleware"
+LICENSE="MIT"
+
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~s390 ~sparc ~x86"
+SLOT="0"
+IUSE=""
+
+all_ruby_prepare() {
+ # Avoid test failing with rspec 2.14+
+ sed -i -e '/should raise an error if an invalid middleware is given/,/^ end/ s:^:#:' spec/middleware/runner_spec.rb
+}
diff --git a/dev-ruby/naught/naught-1.1.0-r1.ebuild b/dev-ruby/naught/naught-1.1.0-r1.ebuild
index 3d848dda9b1c..abfe99f24cb4 100644
--- a/dev-ruby/naught/naught-1.1.0-r1.ebuild
+++ b/dev-ruby/naught/naught-1.1.0-r1.ebuild
@@ -1,8 +1,8 @@
-# Copyright 1999-2022 Gentoo Authors
+# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
-USE_RUBY="ruby26 ruby27 ruby30 ruby31"
+USE_RUBY="ruby27 ruby30 ruby31 ruby32"
RUBY_FAKEGEM_RECIPE_TEST="rspec3"
diff --git a/dev-ruby/puppetdb-termini/Manifest b/dev-ruby/puppetdb-termini/Manifest
index b7aaa8507b5c..139ce6d4210a 100644
--- a/dev-ruby/puppetdb-termini/Manifest
+++ b/dev-ruby/puppetdb-termini/Manifest
@@ -1,2 +1,3 @@
DIST puppetdb-termini_7.12.1-1bullseye_all.deb 22644 BLAKE2B 16c62aafca8ea2a1f04e6e3708bd1354262dcfdc2afd085e4ef2c949409e4ed9a21fb965b9b67099024d9027b996bdbbc3bf16bbdf92f6cfa6e8d0b4b7c60c90 SHA512 4fd214c02e71a038ba52b2cc2ad33172ab5a13739e831fa1f53fbba45b7f19644104fe06cd12c796eb81556dcf9c5221cd9341d55a4b803c5d005f1da4deca46
DIST puppetdb-termini_7.13.0-1bullseye_all.deb 22548 BLAKE2B 535a3f846a7a10dcfaec4447ae852c6c4d870a573169f84e31f61c361164caea989f911df2d18e183c391dd0130a10b9422057eecaab304bebbb022f78e22a21 SHA512 3c8e440bfc55579d0c9a03ecae516d4cef49512ad9fdd6fceef37618c163ecac6d77a2b17b6cbb7131ceb3787904486bb78eef84a36a5f76672918db6d30db86
+DIST puppetdb-termini_8.0.0-1focal_all.deb 21796 BLAKE2B 6065bf41cf173e36ecf3b5d8bb64d92e62e2f6b2ed1d203e294768f1af0bbd735906b57c762df512fed23582d4b67b7abc45b39831e4398a8fadf068b77c5ad8 SHA512 6a8e3423894ca45847e91dc444cb4910f5d8bae194a413054a305ec21fad9ae52fb26324755f633b5df7c2be38c77ef7549b2fc4cb2894530314dd3f32900447
diff --git a/dev-ruby/puppetdb-termini/puppetdb-termini-8.0.0.ebuild b/dev-ruby/puppetdb-termini/puppetdb-termini-8.0.0.ebuild
new file mode 100644
index 000000000000..dfbabaa8b2cd
--- /dev/null
+++ b/dev-ruby/puppetdb-termini/puppetdb-termini-8.0.0.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+USE_RUBY="ruby26 ruby27 ruby30 ruby31"
+
+inherit unpacker
+
+DESCRIPTION="Library needed to connect puppet to puppetdb"
+HOMEPAGE="https://puppet.com/docs/puppetdb/latest/index.html"
+SRC_URI="http://apt.puppetlabs.com/pool/focal/puppet8/${PN:0:1}/${PN}/${PN}_${PV}-1focal_all.deb"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+IUSE=""
+# will need the same keywords as puppet
+KEYWORDS="~amd64 ~arm64 ~ppc ~x86"
+
+RDEPEND+=""
+DEPEND+=""
+
+S=${WORKDIR}
+
+src_install() {
+ insinto opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/
+ doins -r opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/*
+}
diff --git a/dev-ruby/rbs/Manifest b/dev-ruby/rbs/Manifest
index 10feaea09b76..d5ef21a54bc2 100644
--- a/dev-ruby/rbs/Manifest
+++ b/dev-ruby/rbs/Manifest
@@ -1,4 +1,3 @@
-DIST rbs-1.5.1.tar.gz 672987 BLAKE2B acdaa88627ab79626cb391f5c7dd040da648c9c0cd2e7a7ed697075436d6215edd444dea6079c0319051b326e8823d8151376193f7aa34ab10b533560ecd5987 SHA512 2104eb5ae023fec317ed5cb498a283ac8d3831360822f8917d89ea522a3e5f3479da7d4c57e878a6be6064debd7f3818e1367d4b12f0cd487d7b019f80096d9e
DIST rbs-2.5.1.tar.gz 983686 BLAKE2B d0feb4f173e2d1dd76d93309279fc75f9ed992ead2c144d69905e6acd139c709535ae29d78e85787f082821734a6448446e746791922e4322c55dc446a38ec06 SHA512 079778ad36db8f096e33d04a460b03d03c6b3616a2066e40a3aa06615d51265d8bfa7669a31463ce46bbcb16dc74ed8a24ba280b46c24f25b2327f5c8a8ae891
DIST rbs-2.8.4.tar.gz 1069703 BLAKE2B a7b97e2ba7b8bd5afca303d69262cd54169bfad8e716cb5c452a1f20c36708f62c36382d5d3111856aa130e5d198960117ad47ca444ac3e042e99e534b3c2204 SHA512 e698b64ffc5c5e53ed84ab9fb6a5d83cc17738ec2114f72cadd0d9e062d8017ee91dc4d1afe254646c30659f3af57d6606f555881951fae7cc399b1bbd428824
DIST rbs-3.0.4.tar.gz 1123563 BLAKE2B 335ba5d438b74ef36a65c1bd5d41508bb4d89a5273d413899f96684e6d97a6911ab157ad5b8acde97e23b832ebd2bd04517c37a3edc2fd66703442333d3fa5b1 SHA512 17dff709693c2b554178a31580ed48e863490fc527c86a8d823928379483665076c498e402c1dcb85c0ba401e6754e9c2d8cb9a48655952136521e6e7b47025f
diff --git a/dev-ruby/rbs/rbs-1.5.1.ebuild b/dev-ruby/rbs/rbs-1.5.1.ebuild
deleted file mode 100644
index 9079da0fe085..000000000000
--- a/dev-ruby/rbs/rbs-1.5.1.ebuild
+++ /dev/null
@@ -1,36 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-USE_RUBY="ruby26 ruby27 ruby30"
-
-RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
-
-RUBY_FAKEGEM_BINDIR="exe"
-
-RUBY_FAKEGEM_EXTRAINSTALL="core schema sig stdlib"
-
-RUBY_FAKEGEM_GEMSPEC="rbs.gemspec"
-
-inherit ruby-fakegem
-
-DESCRIPTION="The language for type signatures for Ruby and standard library definitions"
-HOMEPAGE="https://github.com/ruby/rbs"
-SRC_URI="https://github.com/ruby/rbs/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="|| ( Ruby-BSD BSD-2 )"
-KEYWORDS="~alpha amd64 arm arm64 hppa ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
-SLOT="0"
-IUSE="test"
-
-ruby_add_bdepend "test? ( dev-ruby/bundler dev-ruby/test-unit )"
-
-all_ruby_prepare() {
- sed -i -e 's/git ls-files -z/find * -print0/' ${RUBY_FAKEGEM_GEMSPEC} || die
-
- # Avoid JSON schema validation tests due to a large dependency stack
- # that would be needed.
- rm -f test/rbs/schema_test.rb || die
-
- sed -i -e '/def test_paths/aomit "Different paths in Gentoo test environment"' test/rbs/cli_test.rb || die
-}
diff --git a/dev-ruby/rbtree/Manifest b/dev-ruby/rbtree/Manifest
index c358064806eb..b5133d6bcc4e 100644
--- a/dev-ruby/rbtree/Manifest
+++ b/dev-ruby/rbtree/Manifest
@@ -1,2 +1 @@
-DIST rbtree-0.4.5.gem 30208 BLAKE2B a2e4763f99a3cecb4b7525ed7637fcb5fe9efd45f61125164804fd6a883fad2ed688357af9264317898500bf8f9d31b5797cb93d88982c06b356a9de0b5b74e1 SHA512 e1a1692fb91e85299d86083b02d71aa6ecb293ada2e3f17d2000344d064575148d3ab68b3f5bc4da420b8bf79bcfe353afeb52cc3b450eea662bb69d9ebeaf2d
DIST rbtree-0.4.6.gem 30720 BLAKE2B cd44852f8de9138d9f590825c62b1863e8a4fc51a3f150317f929e200430b9a4fcc7f7b83deb0904def84cfe3debf102e7b200fe1e894422b0515297ed44baff SHA512 7c9f5ac83ee78191efe3fb7fd6ef0afaa7506245191dbe92f3eb9e5f19b9fcd8157f19901d49d5ff9b4661a498a67d79e39ca86c79d8df99fcf11603b54a0158
diff --git a/dev-ruby/rbtree/rbtree-0.4.5.ebuild b/dev-ruby/rbtree/rbtree-0.4.5.ebuild
deleted file mode 100644
index 8391fa518d0c..000000000000
--- a/dev-ruby/rbtree/rbtree-0.4.5.ebuild
+++ /dev/null
@@ -1,21 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-USE_RUBY="ruby26 ruby27 ruby30"
-
-RUBY_FAKEGEM_EXTENSIONS=(./extconf.rb)
-
-inherit ruby-fakegem
-
-DESCRIPTION="A sorted associative collection that is implemented with a Red-Black Tree"
-HOMEPAGE="https://rubygems.org/gems/rbtree"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE=""
-
-each_ruby_test() {
- ${RUBY} test.rb || die
-}
diff --git a/dev-ruby/recog/recog-2.3.23.ebuild b/dev-ruby/recog/recog-2.3.23.ebuild
index 0e543ff7d55c..06745335f9cc 100644
--- a/dev-ruby/recog/recog-2.3.23.ebuild
+++ b/dev-ruby/recog/recog-2.3.23.ebuild
@@ -2,7 +2,7 @@
# Distributed under the terms of the GNU General Public License v2
EAPI=8
-USE_RUBY="ruby26 ruby27 ruby30"
+USE_RUBY="ruby27 ruby30 ruby31"
RUBY_FAKEGEM_BINWRAP=""
RUBY_FAKEGEM_EXTRADOC="README.md"
diff --git a/dev-ruby/ruby-ole/ruby-ole-1.2.12.2-r1.ebuild b/dev-ruby/ruby-ole/ruby-ole-1.2.12.2-r1.ebuild
index ccc0514b0eb5..0be5b3afc557 100644
--- a/dev-ruby/ruby-ole/ruby-ole-1.2.12.2-r1.ebuild
+++ b/dev-ruby/ruby-ole/ruby-ole-1.2.12.2-r1.ebuild
@@ -1,8 +1,8 @@
-# Copyright 1999-2022 Gentoo Authors
+# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
-USE_RUBY="ruby26 ruby27 ruby30 ruby31"
+USE_RUBY="ruby27 ruby30 ruby31 ruby32"
# Avoid the complexity of the "rake" recipe and run testrb-2 manually.
RUBY_FAKEGEM_RECIPE_TEST=none
diff --git a/dev-ruby/sawyer/Manifest b/dev-ruby/sawyer/Manifest
index 6cdd696fd019..c78b1e4e730c 100644
--- a/dev-ruby/sawyer/Manifest
+++ b/dev-ruby/sawyer/Manifest
@@ -1,2 +1 @@
-DIST sawyer-0.9.1.tar.gz 15406 BLAKE2B c368aea98b85c55327b7874a75e6e652bddc9a2765a8ef7af3e5ac9bfabd3a4c7900f58c4ab1397d6737b17a11089fa04d1ee60e7beeb96fc8f638c88407328f SHA512 b8703223b46af9972dc57c6f65f3131246bafb88d4ef82b4c5beecc436c2180019b2e6e57ed7c8a5edbcf9a20cc12d85a1115c2f39cd5993aca48efed8f08868
DIST sawyer-0.9.2.tar.gz 15545 BLAKE2B 83fc7b6776e888ed4f26a21febc93edf954a1d926c14311078b5ecf7db57614472ed42d33ffc30bceb23c4ea1f1b1047cf3c1a0be9feecb4a3c92458938c6c03 SHA512 560c5bb6fd8f73f68b4dc1151608bc3b1f60aec511fef449cd6361a1307e2c1bf64cfa6cc7ad951ce92db22ce90f3318668af31708f0c1ee5909db3684566c72
diff --git a/dev-ruby/sawyer/sawyer-0.9.1.ebuild b/dev-ruby/sawyer/sawyer-0.9.1.ebuild
deleted file mode 100644
index 97e52a84ddef..000000000000
--- a/dev-ruby/sawyer/sawyer-0.9.1.ebuild
+++ /dev/null
@@ -1,29 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-USE_RUBY="ruby26 ruby27 ruby30"
-
-RUBY_FAKEGEM_EXTRADOC="README.md"
-RUBY_FAKEGEM_GEMSPEC="sawyer.gemspec"
-
-inherit ruby-fakegem
-
-DESCRIPTION="Secret User Agent of HTTP"
-HOMEPAGE="https://github.com/lostisland/sawyer"
-SRC_URI="https://github.com/lostisland/sawyer/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64 ~arm ~x86"
-IUSE=""
-
-ruby_add_rdepend "
- <dev-ruby/faraday-2.0:*
- >=dev-ruby/addressable-2.3.5"
-
-all_ruby_prepare() {
- # Avoid tests that require network acces
- sed -i -e '/test_blank_response_doesnt_raise/,/^ end/ s:^:#:' test/agent_test.rb || die
-}
diff --git a/dev-ruby/settingslogic/settingslogic-2.0.9-r2.ebuild b/dev-ruby/settingslogic/settingslogic-2.0.9-r2.ebuild
index 2e3ba5ddc3ae..cfac85e85200 100644
--- a/dev-ruby/settingslogic/settingslogic-2.0.9-r2.ebuild
+++ b/dev-ruby/settingslogic/settingslogic-2.0.9-r2.ebuild
@@ -1,8 +1,8 @@
-# Copyright 1999-2022 Gentoo Authors
+# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
-USE_RUBY="ruby26 ruby27 ruby30 ruby31"
+USE_RUBY="ruby27 ruby30 ruby31 ruby32"
RUBY_FAKEGEM_TASK_DOC=""
RUBY_FAKEGEM_EXTRADOC="README.rdoc"
diff --git a/dev-ruby/sparklines/files/sparklines-0.5.2-rmagick4-deprecation.patch b/dev-ruby/sparklines/files/sparklines-0.5.2-rmagick4-deprecation.patch
new file mode 100644
index 000000000000..5dcb556318be
--- /dev/null
+++ b/dev-ruby/sparklines/files/sparklines-0.5.2-rmagick4-deprecation.patch
@@ -0,0 +1,20 @@
+--- a/lib/sparklines.rb 2023-04-26 07:46:30.263829168 +0200
++++ b/lib/sparklines.rb 2023-04-26 07:48:47.140656193 +0200
+@@ -685,7 +685,7 @@
+ @draw = Magick::Draw.new
+ @draw.pointsize = @@pointsize # TODO Use height
+ @draw.pointsize = @options[:font_size] if @options.has_key?(:font_size)
+- @canvas = Magick::Image.new(w , h) { self.background_color = bkg_col }
++ @canvas = Magick::Image.new(w , h) { |image| image.background_color = bkg_col }
+
+ # Make room for label and last value
+ unless @options[:label].nil?
+@@ -697,7 +697,7 @@
+ w += @label_and_data_last_width
+ end
+
+- @canvas = Magick::Image.new(w , h) { self.background_color = bkg_col }
++ @canvas = Magick::Image.new(w , h) { |image| image.background_color = bkg_col }
+ @canvas.format = "PNG"
+
+ # Draw label and last value
diff --git a/dev-ruby/sprockets/Manifest b/dev-ruby/sprockets/Manifest
index 8211fb440d7e..9267429607dc 100644
--- a/dev-ruby/sprockets/Manifest
+++ b/dev-ruby/sprockets/Manifest
@@ -1,5 +1,3 @@
DIST sprockets-3.7.2-git.tgz 369053 BLAKE2B 3c40de921d82b2f5c71e3ecaa114576293946352415da1195e60cdda6363066a6be05474eb7842ab1122e29fa6c19fd2f7a38fb0a7cf9972de0640eeb29d03f0 SHA512 bc7d79ba696a072644852b7a3a73ce086d297662309deb1d00318ad453f50ac6e494e6489632cb282795de2f334700155cfd21cc80be638dc471a3215422591f
-DIST sprockets-4.0.2-git.tgz 418502 BLAKE2B 0ae8d0e47708967a4208af852f21baf9d00c4216660b081170d7f68631ee1129fb78341e6012664fc519a0f330fac23203e314c1831d7031af50844e6b91c1f0 SHA512 f733b96c78be6466b63999aa7dc900af653a5b35f6482d84c41edf47f22b093231003f8874eee2ab31e2a2cfb7049a8109a314b51a0ef36ba30d5f6e8bd81f66
-DIST sprockets-4.1.0-git.tgz 421796 BLAKE2B 8544f8299a5abe8ef89a47d7849fd54f5a04eb623cacc316c2c4656b291c55879f1519d2f3628921af1eee64e67451a15d50d68d1dd93e84a95a833e76994667 SHA512 af964e614f414886cd737888119449b6d2829a41965ba7ab82806e3887ec6eadacc947a19e34568c5f418da7cf47175bd0cb0f4f402bd6e2db41f684ed0cc8e4
DIST sprockets-4.1.1-git.tgz 421833 BLAKE2B 9e3280c9746245c9f40137e020f1f96d6337e3354efe285f68e94f5dd2aaf158f7e1ec174c610f244386fc554b52d07636492979e2adfee19433cbb1c8cdb330 SHA512 128c96861020d6c30699da584ff8d7bb06eabfc59a520471b2fcdaa06200c6d975a7b267686bb26833ccce0ff581e9be7fa261ff71cc532fb4cb1a84036563a1
DIST sprockets-4.2.0-git.tgz 422096 BLAKE2B 466e328895e318b9e0eecf46e91e0c6b3c04cf5dcc2b6004de2b81b6d2ab4745b9bb8b2a14bc6b9927f169e0b936c19005aa01aa01e805007d37f297750c253e SHA512 8b22cafcb439dee7f4397fae64108854047ea21d7b8faf80d60b2907d8318f28d168014645b48f35f6a765a7ec925697c3755e4ed8d7724f453cbfae1f10880b
diff --git a/dev-ruby/sprockets/sprockets-3.7.2-r2.ebuild b/dev-ruby/sprockets/sprockets-3.7.2-r2.ebuild
deleted file mode 100644
index de73a55d6b0f..000000000000
--- a/dev-ruby/sprockets/sprockets-3.7.2-r2.ebuild
+++ /dev/null
@@ -1,63 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-USE_RUBY="ruby26 ruby27 ruby30"
-
-RUBY_FAKEGEM_TASK_DOC=""
-RUBY_FAKEGEM_EXTRADOC="README.md"
-
-RUBY_FAKEGEM_GEMSPEC="sprockets.gemspec"
-
-RUBY_FAKEGEM_BINWRAP=""
-
-inherit ruby-fakegem
-
-DESCRIPTION="Ruby library for compiling and serving web assets"
-HOMEPAGE="https://github.com/rails/sprockets"
-SRC_URI="https://github.com/rails/sprockets/archive/v${PV}.tar.gz -> ${P}-git.tgz"
-
-LICENSE="MIT"
-SLOT="$(ver_cut 1)"
-KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
-
-IUSE=""
-
-PATCHES=( "${FILESDIR}/${P}-erb-deprecation.patch" "${FILESDIR}/${P}-kwargs.patch" )
-
-ruby_add_rdepend "
- dev-ruby/concurrent-ruby:1
- >=dev-ruby/rack-1:* <dev-ruby/rack-3:*"
-
-ruby_add_bdepend "test? (
- dev-ruby/json
- dev-ruby/rack-test
- =dev-ruby/coffee-script-2*
- =dev-ruby/execjs-2*
- =dev-ruby/sass-3* >=dev-ruby/sass-3.1
- dev-ruby/uglifier
- )"
-
-all_ruby_prepare() {
- # Avoid tests for template types that we currently don't package:
- # eco and ejs.
- sed -i -e '/eco templates/,/end/ s:^:#:' \
- -e '/ejs templates/,/end/ s:^:#:' test/test_environment.rb || die
- sed -i -e '/.ejs/ s:^:#:' test/test_asset.rb || die
- rm -f test/test_require.rb test/test_{closure,eco,ejs,yui}_{compressor,processor}.rb || die
- sed -i -e "/bundler/d" Rakefile || die
-}
-
-each_ruby_prepare() {
- sed -i -e "s:ruby:${RUBY}:" test/test_sprocketize.rb || die
-}
-
-each_ruby_test() {
- # Make sure we have completely separate copies. Hardlinks won't work
- # for this test suite.
- cp -R test test-new || die
- rm -rf test || die
- mv test-new test || die
-
- each_fakegem_test
-}
diff --git a/dev-ruby/sprockets/sprockets-4.0.2.ebuild b/dev-ruby/sprockets/sprockets-4.0.2.ebuild
deleted file mode 100644
index 4f3532deaa62..000000000000
--- a/dev-ruby/sprockets/sprockets-4.0.2.ebuild
+++ /dev/null
@@ -1,66 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-USE_RUBY="ruby26 ruby27 ruby30"
-
-RUBY_FAKEGEM_EXTRADOC="README.md"
-
-RUBY_FAKEGEM_GEMSPEC="sprockets.gemspec"
-
-inherit ruby-fakegem
-
-DESCRIPTION="Ruby library for compiling and serving web assets"
-HOMEPAGE="https://github.com/rails/sprockets"
-SRC_URI="https://github.com/rails/sprockets/archive/v${PV}.tar.gz -> ${P}-git.tgz"
-
-LICENSE="MIT"
-SLOT="$(ver_cut 1)"
-KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
-
-IUSE=""
-
-ruby_add_rdepend "
- dev-ruby/concurrent-ruby:1
- >=dev-ruby/rack-1:* <dev-ruby/rack-3:*
- !<dev-ruby/sprockets-3.7.2-r1:3"
-
-ruby_add_bdepend "test? (
- dev-ruby/json
- dev-ruby/rack-test
- =dev-ruby/coffee-script-2*
- =dev-ruby/execjs-2*
- =dev-ruby/sass-3* >=dev-ruby/sass-3.1
- dev-ruby/uglifier
- )"
-
-all_ruby_prepare() {
- # Avoid tests for template types that we currently don't package:
- # eco and ejs.
- sed -i -e '/eco templates/,/end/ s:^:#:' \
- -e '/ejs templates/,/end/ s:^:#:' test/test_environment.rb || die
- sed -i -e '/.ejs/ s:^:#:' -e '/\(es6_asset.js\|traceur.es6\)/ s:^:#:' test/test_asset.rb || die
- sed -i -e '/compile babel source map/askip' test/test_source_maps.rb || die
- sed -e '/change jst template namespace/askip' \
- -e '/find_asset. does not raise an exception/askip' \
- -e '/es6 asset/askip' \
- -i test/test_environment.rb || die
- rm -f test/test_require.rb test/test_{babel,closure,eco,ejs,jsminc,yui}_{compressor,processor}.rb || die
- # Fails only within Gentoo test environment, not clear why
- sed -i -e '/extension exporters/a skip' test/test_exporting.rb || die
- sed -i -e "/bundler/d" Rakefile || die
-}
-
-each_ruby_prepare() {
- sed -i -e "s:ruby:${RUBY}:" test/test_sprocketize.rb || die
-}
-
-each_ruby_test() {
- # Make sure we have completely separate copies. Hardlinks won't work
- # for this test suite.
- cp -R test test-new || die
- rm -rf test || die
- mv test-new test || die
-
- each_fakegem_test
-}
diff --git a/dev-ruby/sprockets/sprockets-4.1.0.ebuild b/dev-ruby/sprockets/sprockets-4.1.0.ebuild
deleted file mode 100644
index 8af84e6a868d..000000000000
--- a/dev-ruby/sprockets/sprockets-4.1.0.ebuild
+++ /dev/null
@@ -1,67 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-USE_RUBY="ruby26 ruby27 ruby30"
-
-RUBY_FAKEGEM_EXTRADOC="README.md"
-
-RUBY_FAKEGEM_GEMSPEC="sprockets.gemspec"
-
-inherit ruby-fakegem
-
-DESCRIPTION="Ruby library for compiling and serving web assets"
-HOMEPAGE="https://github.com/rails/sprockets"
-SRC_URI="https://github.com/rails/sprockets/archive/v${PV}.tar.gz -> ${P}-git.tgz"
-
-LICENSE="MIT"
-SLOT="$(ver_cut 1)"
-KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
-
-IUSE=""
-
-ruby_add_rdepend "
- dev-ruby/concurrent-ruby:1
- >=dev-ruby/rack-1:* <dev-ruby/rack-3:*
- !<dev-ruby/sprockets-3.7.2-r1:3"
-
-ruby_add_bdepend "test? (
- dev-ruby/json
- dev-ruby/rack-test
- =dev-ruby/coffee-script-2*
- =dev-ruby/execjs-2*
- =dev-ruby/sass-3* >=dev-ruby/sass-3.1
- dev-ruby/sassc
- dev-ruby/uglifier
- )"
-
-all_ruby_prepare() {
- # Avoid tests for template types that we currently don't package:
- # eco and ejs.
- sed -i -e '/eco templates/,/end/ s:^:#:' \
- -e '/ejs templates/,/end/ s:^:#:' test/test_environment.rb || die
- sed -i -e '/.ejs/ s:^:#:' -e '/\(es6_asset.js\|traceur.es6\)/ s:^:#:' test/test_asset.rb || die
- sed -i -e '/compile babel source map/askip' test/test_source_maps.rb || die
- sed -e '/change jst template namespace/askip' \
- -e '/find_asset. does not raise an exception/askip' \
- -e '/es6 asset/askip' \
- -i test/test_environment.rb || die
- rm -f test/test_require.rb test/test_{babel,closure,eco,ejs,jsminc,yui}_{compressor,processor}.rb || die
- # Fails only within Gentoo test environment, not clear why
- sed -i -e '/extension exporters/a skip' test/test_exporting.rb || die
- sed -i -e "/bundler/d" Rakefile || die
-}
-
-each_ruby_prepare() {
- sed -i -e "s:ruby:${RUBY}:" test/test_sprocketize.rb || die
-}
-
-each_ruby_test() {
- # Make sure we have completely separate copies. Hardlinks won't work
- # for this test suite.
- cp -R test test-new || die
- rm -rf test || die
- mv test-new test || die
-
- each_fakegem_test
-}
diff --git a/dev-ruby/web-console/web-console-4.2.0.ebuild b/dev-ruby/web-console/web-console-4.2.0.ebuild
index 0f4c0b146834..4948c90f97ac 100644
--- a/dev-ruby/web-console/web-console-4.2.0.ebuild
+++ b/dev-ruby/web-console/web-console-4.2.0.ebuild
@@ -1,8 +1,8 @@
-# Copyright 1999-2022 Gentoo Authors
+# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
-USE_RUBY="ruby26 ruby27 ruby30"
+USE_RUBY="ruby27 ruby30 ruby31"
RUBY_FAKEGEM_EXTRADOC="CHANGELOG.markdown README.markdown"